Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82448 - Top level Makefile has rpm problem
Summary: Top level Makefile has rpm problem
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
: 82449 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-22 09:18 UTC by Ravindranadh Chowdary
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:26 UTC


Attachments (Terms of Use)

Description Ravindranadh Chowdary 2003-01-22 09:18:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:

I am using Redhat kernel sources Version-2.4.18-14. I am not able to create a
kernel rpm using make rpm command in RedHat-8.0. reporting rpm -ta is an unknown
option. Cd to linux and execute a command as follows

#make rpm
...............................
...............................
kernel-2.4.1814custom/./scripts/tkgen.c
kernel-2.4.1814custom/./scripts/tkparse.c
kernel-2.4.1814custom/./scripts/tkparse.h
kernel-2.4.1814custom/./scripts/ver_linux
kernel-2.4.1814custom/./kernel.spec
-ta: unknown option
make: *** [rpm] Error 1

The make file is working perfactly if rpm replaced with rpmbuild.

Could you please resolve this.

Regards
Ravi

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.cd /usr/src/linux
2.make rpm
3.
    

Actual Results:  Exiting with following error.

-ta: unknown option
make: *** [rpm] Error 1

Expected Results:  Creates a Kernel RPM

Additional info:

Comment 1 Jakub Jelinek 2003-01-22 09:25:50 UTC
This has nothing to do with make.

Comment 2 Alan Cox 2003-06-08 16:21:31 UTC
*** Bug 82449 has been marked as a duplicate of this bug. ***

Comment 3 Bugzilla owner 2004-09-30 15:40:26 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.